#
# spec file for package gau (Version 0.4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel libjpeg xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libjpeg libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gau
%define	_prefix1 /usr/X11R6
Copyright:    GPL
Group:        Extensions/Korean
Provides:     gau
Autoreqprov:  on
Summary:      Korean communication program for X11
Version:      0.4.1
Release:      136
URL:          http://www.kr.freebsd.org/~hwang/gau
Source0:      http://www.kr.freebsd.org/~hwang/gau/gau-%{version}.tar.gz
Source1:      gau.desktop
Source2:      gaui.desktop
Source3:      gau.kdelnk
Source4:      gaui.kdelnk
Source5:      gau.desktop.kde2x
Source6:      gaui.desktop.kde2x
Source7:      gau-16x16.png
Source8:      gau-32x32.png
Source9:      gau-16x16.xpm
Source10:     gau-32x32.xpm
Patch:        gau-0.4.1-toolbar.patch
Patch1:       gau-0.4.1-rc.patch
Patch2:       gau-0.4.1-grim_show.patch
Patch3:       gau-0.4.1-script.patch
Patch4:       gau-0.4.1-warning.patch
Patch5:       gau-0.4.1-menu.patch
Patch6:       gau-0.4.1-setpath.patch
Patch7:       gau-0.4.1-gaui.patch
Patch8:       gau-0.4.1-fhs.patch
Patch9:       gau-0.4.1-configure-time.patch
BuildRoot:    /var/tmp/%{name}-%{version}-root

%description
Korean communication program for X11

Authors:
--------
    ChiDeok Hwang <hwang@mizi.co.kr>

SuSE series: han

%prep
%setup -q -n gau-%{version}
%patch  -p 1
%patch1 -p 1
%patch2 -p 1
%patch3 -p 1
%patch4 -p 1
%patch5 -p 1
%patch6 -p 1
%patch7 -p 1
%patch8 -p 1
%patch9

%build
%{?suse_update_config:%{suse_update_config -f}}
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix}
make
pushd misc/grimview
make
popd

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
#############################################################################
# GAU BINARY.................................................................
#############################################################################
mkdir -p %{buildroot}%{_prefix}/bin
install -s -m 755 gau %{buildroot}%{_prefix}/bin/
install    -m 755 gau-install %{buildroot}%{_prefix}/bin/
install -s -m 755 misc/grimview/grimview %{buildroot}%{_prefix}/bin/
ln -sf gau %{buildroot}%{_prefix}/bin/gaui
#############################################################################
# GAU RESOURCE FILE..........................................................
#############################################################################
mkdir -p %{buildroot}%{_datadir}/gau
cp -a rc/. %{buildroot}%{_datadir}/gau/
#############################################################################
# PIXMAP.....................................................................
#############################################################################
mkdir -p %{buildroot}%{_prefix1}/share/icons/png/locolor/16x16/apps
mkdir -p %{buildroot}%{_prefix1}/share/icons/png/hicolor/32x32/apps
mkdir -p %{buildroot}/opt/kde/share/icons/large
mkdir -p %{buildroot}/opt/kde/share/icons
mkdir -p %{buildroot}/opt/kde2/share/icons/locolor/16x16/apps
mkdir -p %{buildroot}/opt/kde2/share/icons/hicolor/32x32/apps
mkdir -p %{buildroot}/opt/gnome/share/pixmaps/
install -c -m 644 %{SOURCE7} \
	%{buildroot}%{_prefix1}/share/icons/png/locolor/16x16/apps/gau.png
ln -s %{_prefix1}/share/icons/png/locolor/16x16/apps/gau.png \
	%{buildroot}/opt/kde2/share/icons/locolor/16x16/apps/gau.png
install -c -m 644 %{SOURCE8} \
	%{buildroot}%{_prefix1}/share/icons/png/hicolor/32x32/apps/gau.png
ln -s %{_prefix1}/share/icons/png/hicolor/32x32/apps/gau.png \
	%{buildroot}/opt/kde2/share/icons/hicolor/32x32/apps/gau.png
ln -s %{_prefix1}/share/icons/png/hicolor/32x32/apps/gau.png \
	%{buildroot}/opt/gnome/share/pixmaps/gau.png
install -c -m 644 %{SOURCE9} \
	%{buildroot}/opt/kde/share/icons/gau.xpm
install -c -m 644 %{SOURCE10} \
	%{buildroot}/opt/kde/share/icons/large/gau.xpm
#############################################################################
# GNOME, KDE-1.x, KDE-2.x....................................................
#############################################################################
mkdir -p %{buildroot}/opt/gnome/share/gnome/apps/Internet
mkdir -p %{buildroot}/opt/kde/share/applnk/Internet
mkdir -p %{buildroot}/opt/kde2/share/applnk/Internet
install -c -m 644 %{SOURCE1} \
	%{buildroot}/opt/gnome/share/gnome/apps/Internet
install -c -m 644 %{SOURCE2} \
	%{buildroot}/opt/gnome/share/gnome/apps/Internet
install -c -m 644 %{SOURCE3} \
	%{buildroot}/opt/kde/share/applnk/Internet
install -c -m 644 %{SOURCE4} \
	%{buildroot}/opt/kde/share/applnk/Internet
install -c -m 644 %{SOURCE5} \
	%{buildroot}/opt/kde2/share/applnk/Internet/gau.desktop
install -c -m 644 %{SOURCE6} \
	%{buildroot}/opt/kde2/share/applnk/Internet/gaui.desktop

%clean
rm -rf %{buildroot}

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc doc
%{_prefix}/bin/gau
%{_prefix}/bin/gaui
%{_prefix}/bin/gau-install
%{_prefix}/bin/grimview
%{_prefix}/share/gau
%{_prefix1}/share/icons/png/locolor/16x16/apps/gau.png
%{_prefix1}/share/icons/png/hicolor/32x32/apps/gau.png
/opt/kde/share/icons/large/gau.xpm
/opt/kde/share/icons/gau.xpm
/opt/kde/share/applnk/Internet/gau.kdelnk
/opt/kde/share/applnk/Internet/gaui.kdelnk
/opt/kde2/share/icons/locolor/16x16/apps/gau.png
/opt/kde2/share/icons/hicolor/32x32/apps/gau.png
/opt/kde2/share/applnk/Internet/gau.desktop
/opt/kde2/share/applnk/Internet/gaui.desktop
/opt/gnome/share/pixmaps/gau.png
/opt/gnome/share/gnome/apps/Internet/gau.desktop
/opt/gnome/share/gnome/apps/Internet/gaui.desktop

%changelog -n gau
* Thu Mar 08 2001 - uli@suse.de
- added xf86 to neededforbuild
* Mon Feb 12 2001 - ro@suse.de
- fix TIME_WITH_SYS_TIME use
* Sun Feb 04 2001 - violiet@suse.de
- fixed KDE1 pixmap.
* Thu Feb 01 2001 - violiet@suse.de
- use GNOME desktop gau.png.
* Wed Jan 03 2001 - violiet@susekorea.net
- NEW GAU PIXMAPS....
- added KDE-1.x, KDE-2.x desktop file.
* Wed Dec 27 2000 - violiet@susekorea.net
- rebuild glibc-2.2, XFree86-4.0.x....
  Thu Oct 26 2000 - violiet@susekorea.net
- install SuSE logo.
* Tue Oct 24 2000 - violiet@susekorea.net
- initial RPM packaging for SuSE Linux.
- Apply Korean Environment Patches.
